//--------------------------------------------------------------------------------
// Project LibPhylo
//
// Copyright (C) 2000 Andreas Heger All rights reserved
//
// Author: Andreas Heger <heger@ebi.ac.uk>
//
// $Id: HelpersMatrix.cpp,v 1.2 2004/06/02 12:14:34 aheger Exp $
//--------------------------------------------------------------------------------    

#include <iostream>
#include <string>

#ifdef WITH_DMALLOC
#include <dmalloc.h>
#endif

#include "HelpersMatrix.h"
#include "Matrix.h"

using namespace std;

namespace PhyloLib {

  /** copy the contents of source element wise into the matrix */
  Matrix * fillMatrix( Matrix * dest, TYPE_MATRIX_VALUE * source) {
#ifdef DEBUG
      if (verbose > LL3) cout << "Matrix * fillMatrix( Matrix *, TYPE_MATRIX_VALUE *)" << endl;
#endif

    
      TYPE_MATRIX_SIZE row, col, index = 0;
    
      for (row = 0; row < dest->getWidth(); row++)
	  for (col = 0; col < dest->getWidth(); col++) {
	      cout << (*dest)(0,1);
	      (*dest)(row,col) = source[index++];
	      cout << " " << row << " " << col << (*dest)(0,1) << endl;
	  }

      cout << *dest << endl;
      return dest;

  }
  
} // namespace PhyloLib
